package intrinsic.flash.display;

public class Loader extends intrinsic.flash.display.DisplayObjectContainer {

	/** Accessors */
	public intrinsic.flash.display.DisplayObject content;
	public intrinsic.flash.display.LoaderInfo contentLoaderInfo;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Loader() {
}


/** Static Methods */

/** Methods */
public native void unload();
public native void close();
public native void setChildIndex(intrinsic.flash.display.DisplayObject arg0, int arg1);
public native intrinsic.flash.display.DisplayObject addChildAt(intrinsic.flash.display.DisplayObject arg0, int arg1);
public native void loadBytes(intrinsic.flash.utils.ByteArray arg0);
public native void loadBytes(intrinsic.flash.utils.ByteArray arg0, intrinsic.flash.system.LoaderContext arg1);
public native intrinsic.flash.display.DisplayObject removeChild(intrinsic.flash.display.DisplayObject arg0);
public native void load(intrinsic.flash.net.URLRequest arg0);
public native void load(intrinsic.flash.net.URLRequest arg0, intrinsic.flash.system.LoaderContext arg1);
public native intrinsic.flash.display.DisplayObject removeChildAt(int arg0);
public native intrinsic.flash.display.DisplayObject addChild(intrinsic.flash.display.DisplayObject arg0);

}
